> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order Docket Exhibit

> Orders the document for the given docket exhibit from the court or cached version.



## OpenAPI

````yaml /api-reference/openapi.json put /dockets/exhibits/{docket_exhibit_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /dockets/exhibits/{docket_exhibit_id}:
    put:
      tags:
        - Litigation & Bankruptcy
      summary: Order Docket Exhibit
      description: >-
        Orders the document for the given docket exhibit from the court or
        cached version.
      operationId: order_docket_exhibit_dockets_exhibits__docket_exhibit_id__put
      parameters:
        - name: docket_exhibit_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: The ID of docket exhibit to fetch documents for.
            description: >-
              The unique identifier of the docket exhibit to fetch documents
              for.
            examples:
              - 93c0c4db-35fe-4073-b21a-9e8fddf936c4
          description: The unique identifier of the docket exhibit to fetch documents for.
        - name: from_court
          in: query
          required: false
          schema:
            type: boolean
            title: Whether to fetch directly from court.
            description: >-
              Whether to fetch the document directly from the court.  Defaults
              to True as all cached versions will already be available.
            default: true
          description: >-
            Whether to fetch the document directly from the court.  Defaults to
            True as all cached versions will already be available.
        - name: Prefer
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Request execution preference (RFC 7240). Use ``respond-async`` for
              asynchronous execution, ``wait=N`` to specify a synchronous
              timeout hint in seconds, or ``priority=low`` to route the task to
              the low-priority queue.
            examples:
              - respond-async
              - wait=30
              - priority=low
            title: Prefer
          description: >-
            Request execution preference (RFC 7240). Use ``respond-async`` for
            asynchronous execution, ``wait=N`` to specify a synchronous timeout
            hint in seconds, or ``priority=low`` to route the task to the
            low-priority queue.
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.DocketExhibitState'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.DocketExhibitState:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: ID of the docket exhibit document request
        docket_exhibit_id:
          type: string
          format: uuid
          title: Docket Exhibit Id
          description: ID of the docket exhibit the search was performed for
        state:
          $ref: '#/components/schemas/TaskState'
          description: State of the document search request
      type: object
      required:
        - id
        - docket_exhibit_id
        - state
      title: DocketExhibitState (v1)
      description: Represents a docket exhibit state.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````